1. Add the following to your Podfile:
1
2
3
4
5
6
 target 'YourMainAppTargetName' do
     pod 'Reveal-SDK', :configurations => ['Debug']

    # pod sdk的版本必须和 reveal软件的版本一致
    # pod 'Reveal-SDK', '~> 21.0', :configurations => ['Debug']
 end

The :configurations parameter ensures that Reveal will only be linked into your Debug builds.

  1. Run ‘pod install’ in your project director(or ‘pod update Reveal-SDK` if you've previously used CocoaPods with your project).
  1. error: ld: framework not found Reveal
1
2
3
4
5
    1. Select your Project in the Project Navigator,Go to the Build Settings tab

    2. Type "framework search" in the search bar and locate the spot for Framework Search Path

    3. Add this location to whatever paths are already there: /Applications/Reveal.app/Contents/SharedSupport/iOS-Libraries